org.deidentifier.arx.risk

## Class RiskModelSampleWildcard

- java.lang.Object
- - org.deidentifier.arx.risk.RiskModelSampleWildcard

    public class RiskModelSampleWildcard
    extends java.lang.Object

This class implements risk measures as proposed by El Emam in "Guide to the De-Identification of Personal Health Information", "Measuring the Probability of Re-Identification" considering suppressed values as a wildcard

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`RiskModelSampleWildcard(DataHandleInternal handle, java.util.Set<java.lang.String> identifiers, double threshold, java.lang.String wildcard, WrappedBoolean stop, WrappedInteger progress)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getAverageRisk()` Returns the average risk
`double` `getEffectiveRiskThreshold()` Returns the effective risk threshold, which may differ from the specified risk threshold due to rounding issues
`double` `getHighestRisk()` Returns the highest risk
`double` `getRecordsAtRisk()` Returns the fraction of records with a risk higher than the given threshold
`double` `getRiskThreshold()` Returns the user-specified threshold.
`double` `getSuccessRate()` Returns the success rate

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RiskModelSampleWildcard

    public RiskModelSampleWildcard(DataHandleInternal handle,
                                   java.util.Set<java.lang.String> identifiers,
                                   double threshold,
                                   java.lang.String wildcard,
                                   WrappedBoolean stop,
                                   WrappedInteger progress)

Creates a new instance

Parameters:
  `handle` - handle
  `identifiers` - quasi-identifiers
  `threshold` - Note: due to rounding issues this threshold may be exceeded by up to 1%
  `wildcard` - string representing suppressed values
  `stop` - stop flag
  `progress` - progress

### Method Detail

#### getAverageRisk

    public double getAverageRisk()

Returns the average risk

Returns:
  the average risk

#### getEffectiveRiskThreshold

    public double getEffectiveRiskThreshold()

Returns the effective risk threshold, which may differ from the specified risk threshold due to rounding issues

Returns:
  the effective risk threshold

#### getHighestRisk

    public double getHighestRisk()

Returns the highest risk

Returns:
  the highest risk

#### getRecordsAtRisk

    public double getRecordsAtRisk()

Returns the fraction of records with a risk higher than the given threshold

Returns:
  the records at risk

#### getRiskThreshold

    public double getRiskThreshold()

Returns the user-specified threshold. Note: the effective threshold may differ slightly due to rounding issues. See: `getEffectiveRiskThreshold`

Returns:

#### getSuccessRate

    public double getSuccessRate()

Returns the success rate

Returns: